Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fedict.eid.applet.service.cdi
Enum BelgianCertificate.CERTIFICATE_TYPE

    java.lang.Object
      java.lang.Enum<BelgianCertificate.CERTIFICATE_TYPE>
          be.fedict.eid.applet.service.cdi.BelgianCertificate.CERTIFICATE_TYPE

All Implemented Interfaces:
  Serializable, Comparable<BelgianCertificate.CERTIFICATE_TYPE>

Enclosing class:
  BelgianCertificate

    public static enum BelgianCertificate.CERTIFICATE_TYPE

extends Enum<BelgianCertificate.CERTIFICATE_TYPE>

Enumeration of all available certificate types.

Author:
  Frank Cornelis

Enum Constant Summary
`AUTH`
`CITIZEN_CA`
`ROOT_CA`
`SIGN`

Method Summary
`static BelgianCertificate.CERTIFICATE_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BelgianCertificate.CERTIFICATE_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTH

    public static final BelgianCertificate.CERTIFICATE_TYPE AUTH

### SIGN

    public static final BelgianCertificate.CERTIFICATE_TYPE SIGN

### CITIZEN_CA

    public static final BelgianCertificate.CERTIFICATE_TYPE CITIZEN_CA

### ROOT_CA

    public static final BelgianCertificate.CERTIFICATE_TYPE ROOT_CA

Method Detail

### values

    public static BelgianCertificate.CERTIFICATE_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BelgianCertificate.CERTIFICATE_TYPE c : BelgianCertificate.CERTIFICATE_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BelgianCertificate.CERTIFICATE_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.